/*
 *	main.h
 *
 *	This application is currently a stand-alone interface builder
 *	which will gradually be integrated into the OPaC class library.
 *
 *	(C) Copyright 1994-1998, Pierre ARNAUD, OPaC bright ideas
 *		CH-1437 SUSCEVAZ, Switzerland. All rights reserved.
 */

/******************************************************************************

  This file is part of the OPaC class library ("OPaC").

  OPaC is distributed with NO WARRANTY OF ANY KIND.  No author or distributor
  accepts any responsibility for the consequences of using it, or for whether
  it serves any particular purpose or works at all, unless he or she says so
  in writing. Refer to the OPaC Free Public License (the "License") for full
  details.

  Every copy of OPaC must include a copy of the License, normally in a plain
  ASCII text file named PUBLIC. The License grants you the right to copy,
  modify and redistribute OPaC, but only under certain conditions described
  in the License. The copyright notice and this notice must be preserved on
  all copies.

******************************************************************************/

#ifndef _MAIN_H_
#define _MAIN_H_

#include <OPaC/app.h>

/****************************************************************/

APP_EXPORT_CLASS (App);

/****************************************************************/

APP_DEFINE_REF (App, OPApp);

/****************************************************************/

class App : public OPApp
{
protected:
	OPDialogRef			dialog;				//	link with the user interface
	Real				x, y;				//	input values
	
protected:
	App ();
	virtual ~ App ();
	
public:
	virtual void Initialise (Bool enable_build = TRUE);		/* OVERLOAD */
	
	virtual Bool SetString (OPStringIn text);
	virtual void Terminate ();
	virtual void Minimize ();
	
	virtual Bool SetX (Real x);
	virtual Bool SetY (Real y);
	virtual Real ReturnX () const;
	virtual Real ReturnY () const;
	virtual Real ReturnZ () const;
	
	APP_DEFINE_CLASS (App, OPApp);
};

/****************************************************************/

#endif /* _MAIN_H_ */
